|
|||||||||
| Home >> All >> org >> apache >> struts >> [ upload overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.apache.struts.upload
Class CommonsMultipartRequestHandler

java.lang.Objectorg.apache.struts.upload.CommonsMultipartRequestHandler
- All Implemented Interfaces:
- MultipartRequestHandler
- public class CommonsMultipartRequestHandler
- extends java.lang.Object
- implements MultipartRequestHandler
- extends java.lang.Object
This class implements the MultipartRequestHandler interface
by providing a wrapper around the Jakarta Commons FileUpload library.
- Since:
- Struts 1.1
- Version:
- $Rev: 54929 $ $Date: 2004-10-16 17:38:42 +0100 (Sat, 16 Oct 2004) $
| Nested Class Summary | |
(package private) static class |
CommonsMultipartRequestHandler.CommonsFormFile
This class implements the Struts FormFile interface by
wrapping the Commons FileUpload FileItem interface. |
| Field Summary | |
static long |
DEFAULT_SIZE_MAX
The default value for the maximum allowable size, in bytes, of an uploaded file. |
static int |
DEFAULT_SIZE_THRESHOLD
The default value for the threshold which determines whether an uploaded file will be written to disk or cached in memory. |
private java.util.Hashtable |
elementsAll
The combined text and file request parameters. |
private java.util.Hashtable |
elementsFile
The file request parameters. |
private java.util.Hashtable |
elementsText
The text request parameters. |
protected static org.apache.commons.logging.Log |
log
Commons Logging instance. |
private org.apache.struts.action.ActionMapping |
mapping
The action mapping with which this handler is associated. |
private org.apache.struts.action.ActionServlet |
servlet
The servlet with which this handler is associated. |
| Fields inherited from interface org.apache.struts.upload.MultipartRequestHandler |
ATTRIBUTE_MAX_LENGTH_EXCEEDED |
| Constructor Summary | |
CommonsMultipartRequestHandler()
|
|
| Method Summary | |
protected void |
addFileParameter(org.apache.commons.fileupload.FileItem item)
Adds a file parameter to the set of file parameters for this request and also to the list of all parameters. |
protected void |
addTextParameter(javax.servlet.http.HttpServletRequest request,
org.apache.commons.fileupload.FileItem item)
Adds a regular text parameter to the set of text parameters for this request and also to the list of all parameters. |
protected long |
convertSizeToBytes(java.lang.String sizeString,
long defaultSize)
Converts a size value from a string representation to its numeric value. |
void |
finish()
Cleans up at the end of a request. |
java.util.Hashtable |
getAllElements()
Returns a hash table containing both text and file request parameters. |
java.util.Hashtable |
getFileElements()
Returns a hash table containing the file (that is, non-text) request parameters. |
org.apache.struts.action.ActionMapping |
getMapping()
Retrieves the action mapping with which this handler is associated. |
protected java.lang.String |
getRepositoryPath(org.apache.struts.config.ModuleConfig mc)
Returns the path to the temporary directory to be used for uploaded files which are written to disk. |
org.apache.struts.action.ActionServlet |
getServlet()
Retrieves the servlet with which this handler is associated. |
protected long |
getSizeMax(org.apache.struts.config.ModuleConfig mc)
Returns the maximum allowable size, in bytes, of an uploaded file. |
protected long |
getSizeThreshold(org.apache.struts.config.ModuleConfig mc)
Returns the size threshold which determines whether an uploaded file will be written to disk or cached in memory. |
java.util.Hashtable |
getTextElements()
Returns a hash table containing the text (that is, non-file) request parameters. |
void |
handleRequest(javax.servlet.http.HttpServletRequest request)
Parses the input stream and partitions the parsed items into a set of form fields and a set of file items. |
void |
rollback()
Cleans up when a problem occurs during request processing. |
void |
setMapping(org.apache.struts.action.ActionMapping mapping)
Sets the action mapping with which this handler is associated. |
void |
setServlet(org.apache.struts.action.ActionServlet servlet)
Sets the servlet with which this handler is associated. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
DEFAULT_SIZE_MAX
public static final long DEFAULT_SIZE_MAX
- The default value for the maximum allowable size, in bytes, of an
uploaded file. The value is equivalent to 250MB.
- See Also:
- Constant Field Values
DEFAULT_SIZE_THRESHOLD
public static final int DEFAULT_SIZE_THRESHOLD
- The default value for the threshold which determines whether an uploaded
file will be written to disk or cached in memory. The value is equivalent
to 250KB.
- See Also:
- Constant Field Values
log
protected static org.apache.commons.logging.Log log
- Commons Logging instance.
elementsAll
private java.util.Hashtable elementsAll
- The combined text and file request parameters.
elementsFile
private java.util.Hashtable elementsFile
- The file request parameters.
elementsText
private java.util.Hashtable elementsText
- The text request parameters.
mapping
private org.apache.struts.action.ActionMapping mapping
- The action mapping with which this handler is associated.
servlet
private org.apache.struts.action.ActionServlet servlet
- The servlet with which this handler is associated.
| Constructor Detail |
CommonsMultipartRequestHandler
public CommonsMultipartRequestHandler()
| Method Detail |
getServlet
public org.apache.struts.action.ActionServlet getServlet()
- Retrieves the servlet with which this handler is associated.
- Specified by:
getServletin interfaceMultipartRequestHandler
setServlet
public void setServlet(org.apache.struts.action.ActionServlet servlet)
- Sets the servlet with which this handler is associated.
- Specified by:
setServletin interfaceMultipartRequestHandler
getMapping
public org.apache.struts.action.ActionMapping getMapping()
- Retrieves the action mapping with which this handler is associated.
- Specified by:
getMappingin interfaceMultipartRequestHandler
setMapping
public void setMapping(org.apache.struts.action.ActionMapping mapping)
- Sets the action mapping with which this handler is associated.
- Specified by:
setMappingin interfaceMultipartRequestHandler
handleRequest
public void handleRequest(javax.servlet.http.HttpServletRequest request) throws javax.servlet.ServletException
- Parses the input stream and partitions the parsed items into a set of
form fields and a set of file items. In the process, the parsed items
are translated from Commons FileUpload
FileIteminstances to StrutsFormFileinstances.- Specified by:
handleRequestin interfaceMultipartRequestHandler
getTextElements
public java.util.Hashtable getTextElements()
- Returns a hash table containing the text (that is, non-file) request
parameters.
- Specified by:
getTextElementsin interfaceMultipartRequestHandler
getFileElements
public java.util.Hashtable getFileElements()
- Returns a hash table containing the file (that is, non-text) request
parameters.
- Specified by:
getFileElementsin interfaceMultipartRequestHandler
getAllElements
public java.util.Hashtable getAllElements()
- Returns a hash table containing both text and file request parameters.
- Specified by:
getAllElementsin interfaceMultipartRequestHandler
rollback
public void rollback()
- Cleans up when a problem occurs during request processing.
- Specified by:
rollbackin interfaceMultipartRequestHandler
finish
public void finish()
- Cleans up at the end of a request.
- Specified by:
finishin interfaceMultipartRequestHandler
getSizeMax
protected long getSizeMax(org.apache.struts.config.ModuleConfig mc)
- Returns the maximum allowable size, in bytes, of an uploaded file. The
value is obtained from the current module's controller configuration.
getSizeThreshold
protected long getSizeThreshold(org.apache.struts.config.ModuleConfig mc)
- Returns the size threshold which determines whether an uploaded file
will be written to disk or cached in memory.
convertSizeToBytes
protected long convertSizeToBytes(java.lang.String sizeString, long defaultSize)
- Converts a size value from a string representation to its numeric value.
The string must be of the form nnnm, where nnn is an arbitrary decimal
value, and m is a multiplier. The multiplier must be one of 'K', 'M' and
'G', representing kilobytes, megabytes and gigabytes respectively.
If the size value cannot be converted, for example due to invalid syntax,
the supplied default is returned instead.
getRepositoryPath
protected java.lang.String getRepositoryPath(org.apache.struts.config.ModuleConfig mc)
- Returns the path to the temporary directory to be used for uploaded
files which are written to disk. The directory used is determined from
the first of the following to be non-empty.
- A temp dir explicitly defined either using the
tempDirservlet init param, or thetempDirattribute of the <controller> element in the Struts config file. - The container-specified temp dir, obtained from the
javax.servlet.context.tempdirservlet context attribute. - The temp dir specified by the
java.io.tmpdirsystem property.
(/ol>
- A temp dir explicitly defined either using the
addTextParameter
protected void addTextParameter(javax.servlet.http.HttpServletRequest request, org.apache.commons.fileupload.FileItem item)
- Adds a regular text parameter to the set of text parameters for this
request and also to the list of all parameters. Handles the case of
multiple values for the same parameter by using an array for the
parameter value.
addFileParameter
protected void addFileParameter(org.apache.commons.fileupload.FileItem item)
- Adds a file parameter to the set of file parameters for this request
and also to the list of all parameters.
|
|||||||||
| Home >> All >> org >> apache >> struts >> [ upload overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.apache.struts.upload.CommonsMultipartRequestHandler